Package tigase.server

## Class BasicComponent.ServerInfoVHostItemExtension.ServerInfoVHostItemExtensionProvider

- java.lang.Object
- - tigase.server.BasicComponent.ServerInfoVHostItemExtension.ServerInfoVHostItemExtensionProvider

- All Implemented Interfaces:
    `VHostItemExtensionProvider<BasicComponent.ServerInfoVHostItemExtension>`
  Enclosing class:
    BasicComponent.ServerInfoVHostItemExtension

      @Bean(name="disco-server-info",
            parent=VHostItemExtensionManager.class,
            active=true)
      public static class BasicComponent.ServerInfoVHostItemExtension.ServerInfoVHostItemExtensionProvider
      extends java.lang.Object
      implements VHostItemExtensionProvider<BasicComponent.ServerInfoVHostItemExtension>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerInfoVHostItemExtensionProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<BasicComponent.ServerInfoVHostItemExtension>` | `getExtensionClazz()` | Returns class of the extension
    `java.lang.String` | `getId()` | Returns unique id of the extension

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerInfoVHostItemExtensionProvider

          public ServerInfoVHostItemExtensionProvider()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `VHostItemExtensionProvider`
      Returns unique id of the extension
      Specified by:
        `getId` in interface `VHostItemExtensionProvider<BasicComponent.ServerInfoVHostItemExtension>`

    - #### getExtensionClazz

          public java.lang.Class<BasicComponent.ServerInfoVHostItemExtension> getExtensionClazz()

      Description copied from interface: `VHostItemExtensionProvider`
      Returns class of the extension
      Specified by:
        `getExtensionClazz` in interface `VHostItemExtensionProvider<BasicComponent.ServerInfoVHostItemExtension>`